#!/usr/bin/python3

from __future__ import division

from builtins import str
from builtins import range
import sys
import csv
import re


first_user = 1000
add_users = 100
filename = sys.argv[1]


with open("%s" %(filename), 'wb') as csvfile:
    writer = csv.writer(csvfile, delimiter=',')

    for user in range(add_users):
        mac = "50000000" + str(first_user + user)
        mac = re.sub("(\d\d)(\d\d)(\d\d)(\d\d)(\d\d)(\d\d)", r"\1:\2:\3:\4:\5:\6", mac)

        writer.writerow([first_user + user, mac])
